# coding: utf-8
from django import forms

class ContactForm(forms.Form):
    name = forms.CharField(label='Jméno', max_length=100, initial='Anonym')
    email = forms.EmailField(label='E-mail', required=False)
    phone = forms.CharField(label='Telefon', max_length=20, required=False)
    reaction = forms.BooleanField(label='Chci dostat odpověď', required=False)
    text = forms.CharField(label='Zpráva', widget=forms.Textarea, help_text='Sem napište svou připomínku nebo dotaz.')

from django.contrib.auth.models import User

class ProfileForm(forms.ModelForm):
    info = forms.CharField(label='Informace', widget=forms.Textarea, required=False)
    password1 = forms.CharField(label='Heslo', widget=forms.PasswordInput, required=False)
    password2 = forms.CharField(label='Heslo znovu', widget=forms.PasswordInput, required=False)

    class Meta:
        model = User
        fields = ('first_name', 'last_name', 'email')

    def clean_password2(self):
        if self.cleaned_data.get('password1') != self.cleaned_data['password2']:
            raise forms.ValidationError('Zadaná hesla se liší.')

        return self.cleaned_data['password2']

from models import FilmImage

class ImageForm(forms.ModelForm):
    class Meta:
        model = FilmImage
        exclude = ('film')
